Update field
Update a custom field in a collection.
Required scope | cms:write
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
collection_id
Unique identifier for a Collection
field_id
Unique identifier for a Field in a collection
Request
The field details to update
isRequired
Define whether a field is required in a collection
displayName
The name of a field
helpText
Additional text to help anyone filling out this field
Response
Request was successful
id
Unique identifier for a Field
isRequired
define whether a field is required in a collection
type
Choose these appropriate field type for your collection data
displayName
The name of a field
isEditable
Define whether the field is editable
slug
Slug of Field in Site URL structure. Slugs should be all lowercase with no spaces. Any spaces will be converted to ”-.”
helpText
Additional text to help anyone filling out this field
validations
The validations for the field
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error